Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Public Member Functions | Data Fields
rb_fiber_struct Struct Reference

## Public Member Functions
| BITFIELD (enum fiber_status, status, 2)

## Data Fields
rb_context_t | cont
VALUE | first_proc
struct rb_fiber_struct * | prev
unsigned int | transferred: 1
struct coroutine_context | context
struct fiber_pool_stack | stack

## Detailed Description

Definition at line 226 of file cont.c.

## Member Function Documentation

## ◆ BITFIELD()

rb_fiber_struct::BITFIELD | ( | enum | fiber_status,
|  | status | ,
|  | 2 |
| ) |  |

## Field Documentation

## ◆ cont

rb_context_t rb_fiber_struct::cont

Definition at line 227 of file cont.c.

Referenced by rb_fiber_mark_self(), rb_fiber_reset_root_local_storage(), rb_fiber_update_self(), rb_threadptr_root_fiber_release(), and rb_threadptr_root_fiber_setup().

## ◆ context

struct coroutine_context rb_fiber_struct::context

Definition at line 237 of file cont.c.

## ◆ first_proc

VALUE rb_fiber_struct::first_proc

Definition at line 228 of file cont.c.

Referenced by rb_fiber_start().

## ◆ prev

struct rb_fiber_struct* rb_fiber_struct::prev

Definition at line 229 of file cont.c.

## ◆ stack

struct fiber_pool_stack rb_fiber_struct::stack

Definition at line 238 of file cont.c.

## ◆ transferred

unsigned int rb_fiber_struct::transferred

Definition at line 235 of file cont.c.

The documentation for this struct was generated from the following file:

- cont.c